#include <iostream>
#include <math.h>
typedef long long ll;
using namespace std;
int numDigits(int number)
{
    int digits = 0;
    while (number) {
        number /= 10;
        digits++;
    }
    return digits;

}
ll araise(int num)
{
    long long temp=10;
    for(int i=1;i<num;i++)
    {
        temp*=10;
    }
    return temp;
}
int main()
{
    long long a,b,c;
    cin >> a >> b >> c;
    int size_a = numDigits(a);
    int size_b = numDigits(b);
    int size_c = numDigits(c);
    long long tempnum=0;
    long long maxnum=0;

    //ABC
    tempnum += a;
    tempnum *= araise(size_b);
    tempnum += b;
    tempnum *= araise(size_c);
    tempnum += c;
    if(tempnum>maxnum){maxnum = tempnum;}

    //ACB
    tempnum = a;
    tempnum *= araise(size_c);
    tempnum += c;
    tempnum *= araise(size_b);
    tempnum += b;
    if(tempnum>maxnum){maxnum = tempnum;}

    //BAC
    tempnum = b;
    tempnum *= araise(size_a);
    tempnum += a;
    tempnum *= araise(size_c);
    tempnum += c;
    if(tempnum>maxnum){maxnum = tempnum;}

    //BCA
    tempnum = b;
    tempnum *= araise(size_c);
    tempnum += c;
    tempnum *= araise(size_a);
    tempnum += a;
    if(tempnum>maxnum){maxnum = tempnum;}

    //CAB
    tempnum = c;
    tempnum *= araise(size_a);
    tempnum += a;
    tempnum *= araise(size_b);
    tempnum += b;
    if(tempnum>maxnum){maxnum = tempnum;}

    //CBA
    tempnum = c;
    tempnum *= araise(size_b);
    tempnum += b;
    tempnum *= araise(size_a);
    tempnum += a;
    if(tempnum>maxnum){maxnum = tempnum;}

    cout << maxnum<<endl;
    return 0;
}